<!--Strana albuma-->
<!DOCTYPE html>
<html>
    <body>
        <div class="hero">
            
            <app-navigation></app-navigation>
            
            <p align="center" *ngIf="loader" class="bot">Loading ...</p>
            <div *ngIf="album">
                <header class="album-header" >
                    <div class="row">
                        <div class="col-md-4">
                            <div *ngIf="album.cover_medium.length > 0" style="padding-left: 50px;" >
                                <img class="img img-thumbnail album-thumb" src="{{album.cover_medium}}">
                                <a class = "bot" target="_self" routerLink="/artist/{{album.artist.id}}" >{{album.artist.name}}</a>
                            
                            </div>
                        </div>
                        <div class="col-md-8">
                            <h2 class="bot">Album name: {{album?.title}}</h2>
                            <span class="album-extras">{{album?.nb_tracks}} track album</span>
                            <br>
                            <span class="album-extras">{{album?.fans}} Fans</span>
                            <br>
                            <span class="album-extras">Release Date: {{album?.release_date}}</span>
                            <br>
                            <span class="album-extras">Duration: {{album?.duration}} sec</span>
                            <br>
                            <span class="album-extras">Record Label: {{album?.label}} </span>
                            <br>
                                <div *ngIf='alb!==null'>
                                   <span class="album-extras">Rating: {{score}}</span>
                                </div>
                                <div class="album-extras">Post your review</div>
                                <fieldset class="rating"  (change)="rate($event)">
                                <input type="radio" id="star5" name="rating" value="5" /><label class = "full" for="star5" title="Awesome - 5 stars"></label>
                                <input type="radio" id="star4" name="rating" value="4" /><label class = "full" for="star4" title="Pretty good - 4 stars"></label>
                                <input type="radio" id="star3" name="rating" value="3" /><label class = "full" for="star3" title="Meh - 3 stars"></label>
                                <input type="radio" id="star2" name="rating" value="2" /><label class = "full" for="star2" title="Kinda bad - 2 stars"></label>
                                <input type="radio" id="star1" name="rating" value="1" /><label class = "full" for="star1" title="Sucks big time - 1 star"></label>
                                </fieldset>
                        </div>
                    </div>
                    <br><br>
                </header>
                <a class="btn a4" href="{{album.link}}" target="_self"  > View Album in Deezer</a>
                <br><br>
                <h2 class="a2">
                    <p>Album Track Listings:</p>
                </h2>
                <br>
                <div *ngFor="let track of tracks">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="well album"  style="background:#f5b2b2; border-radius: 0.5rem; padding: 1em;">
                                <h3>{{track.track_position}}. {{track.title}}</h3><br>
                                <a class="btn a4" id="play" (click)="play(track.preview)">Play</a>
                                
                                <button class="btn a4" (click)="getLyric(track.title, track.id)">Lyric</button>
                                <div style="position: absolute; right: 40px;" class="dropdown">
                                <button class="dropbtn"> Add to list </button>
                                <div *ngIf="myLists!=[]">
                                    <div class="dropdown-content">
                                        <div *ngFor="let list of myLists">
                                            <a (click)="addSongToList(track.id, list.name)" >{{list.name}}</a>
                                        </div> 
                                    </div>
                                </div>
                                </div>
                            </div>
                            <div *ngIf="show_lyrics.includes(track.id)">
                                <span class="album-extras" style="white-space: pre-line; position: relative; left: 30%; font-family: myFont;">{{track.lyrics}}</span>
                            </div>
                        </div>
                    </div><br>
                </div>
            </div>
        </div>

        <h2>Comments</h2>
            <div *ngIf='alb!==null'>
            <div *ngFor='let obj of hack(alb.comments)'>
                <div class='comment-box'> 
                    <h4>{{obj.user}}: {{obj.comment}}</h4>
                </div>
            </div>
            </div>

        <div>
            <form [formGroup]='forma'  (ngSubmit)="setCom()">
                <div class='form-group'>    
                <div class='leave-comment-box'>
                    <h2>Comment as {{user}}</h2>
                    <textarea class='input-field' rows="4" cols="50" formControlName="comment" placeholder='Enter text here...'></textarea>
                    <button class='submit-btn' type="submit">Submit</button>
                </div>
                </div>
            </form>
        </div>
    </body>
</html>